package org.springblade.modules.nh.factory.aiswei.scheduler;

import org.springblade.modules.nh.factory.common.EachRunner;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

@Service
public class AisweiHistoryAlarmEachRunner extends EachRunner<String> {

    @Autowired
    AisweiAlarmHistoryPageAction aisweiAlarmHistoryPageAction;

    @Override
    public void handle(String stationId, Map<String, Object> ctx) throws IOException {
        Map<String, Object> ctx2 = new HashMap<>();
        ctx2.put("stationId", stationId);
        aisweiAlarmHistoryPageAction.start("同步电站历史故障信息", 100, ctx2, 1);
    }
}
